#!/bin/sh

mount_pt="/opt/orchid-mnt"
bundle_url="$1"

cd $mount_pt
rm -f ${mount_pt}/orchid_bundle.tar

# Declare your intentions.  In all things, be forthright and confident.
echo "Downloading from $bundle_url"
echo
sleep 1

curl_head=$( curl -fsI "$bundle_url" 2> /dev/null )
if [[ $? -ne 0 ]]; then
    echo Cannot download from given URL.  Orchid Core VMS ACAP bundle download failed.
    exit 1
fi

bytes=$( echo "$curl_head" | grep Content-Length: | tr -s ' ' | cut -d ' ' -f 2 )
mbytes=$(( $bytes / (1024 ** 2)))

curl -f -o orchid_bundle.tar "$bundle_url" > /dev/null 2>&1 &
pid="$!"

while kill -0 $pid >/dev/null 2>&1 ; do
    size=$( ls -lh /opt/orchid-mnt/orchid_bundle.tar 2> /dev/null | tr -s ' ' | cut -d ' ' -f 5 )
    if [[ "$size" != "" ]] && [[ $? -eq 0 ]]; then
        echo Downloaded $size out of about $mbytes MB
    fi
    sleep 2
done

